const Swagger = require("swagger-client");
const spec = {
  swagger: '2.0',
  info: {
    version: '1.0.0',
    title: 'Simple API',
  },
  host: 'simple.api',
  paths: {
    '/cars': {
      parameters: {
        in: 'query',
        type: 'string',
        required: true,
      },
      get: {
        operationId: '1',
        responses: {
          200: {
            description: 'A car',
            type: 'string',
          },
        },
      },
    },
    '/person': {
      get: {
        operationId: '2',
        responses: {
          200: {
            description: 'A single person',
            type: 'string',
          },
        },
      },
      post: {
        operationId: '3',
        responses: {
          200: {
            description: 'Add person',
            type: 'string',
          },
        },
      },
    },
  },
};

await Swagger.resolve({spec});
await Swagger.resolve({spec});
;
